Bug 240159 - rebuild-gcj-db requires findutils
Summary: rebuild-gcj-db requires findutils
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.5.0-gcj   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-15 15:40 UTC by Orion Poplawski
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.5.0.0-15.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 20:32:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2007-05-15 15:40:27 UTC
Description of problem:

During install, got:

Installing java-1.5.0-gcj - 1.5.0.0-14.fc7.i386
/usr/bin/rebuild-gcj-db: line 12: xargs: command not found
/usr/bin/rebuild-gcj-db: line 14: find: command not found
/usr/bin/rebuild-gcj-db: line 15: xargs: command not found

This should fix:

Index: java-1.5.0-gcj.spec
===================================================================
RCS file: /cvs/pkgs/rpms/java-1.5.0-gcj/devel/java-1.5.0-gcj.spec,v
retrieving revision 1.18
diff -u -r1.18 java-1.5.0-gcj.spec
--- java-1.5.0-gcj.spec 16 Apr 2007 15:57:43 -0000      1.18
+++ java-1.5.0-gcj.spec 15 May 2007 15:39:32 -0000
@@ -97,6 +97,8 @@
 Requires(post):   %{_bindir}/rebuild-gcj-db
 # rebuild-gcj-db requires gcj-dbtool
 Requires(post):   %{_bindir}/gcj-dbtool%{gccsuffix}
+# rebuild-gcj-db requires findutils
+Requires(post):   findutils
 # postun requires alternatives to uninstall tool alternatives
 Requires(postun): %{_sbindir}/alternatives
 # postun requires gij to retrieve gcc version
@@ -107,6 +109,8 @@
 Requires(postun): %{_bindir}/rebuild-gcj-db
 # rebuild-gcj-db requires gcj-dbtool
 Requires(postun): %{_bindir}/gcj-dbtool%{gccsuffix}
+# rebuild-gcj-db requires findutils
+Requires(post):   findutils

 # standard JPackage base provides
 Provides: jre-%{javaver}-%{origin} = %{version}-%{release}

Comment 1 Thomas Fitzsimmons 2007-05-15 20:32:46 UTC
The second requires should be "Requires(postun)".  I applied the fix and rebuilt
the package in Rawhide.



Note You need to log in before you can comment on or make changes to this bug.